<?php
	$items = Hash::combine($basket['GiftVoucherPurchaseItem'], '{n}.id', '{n}', '{n}.GiftVoucher.voucher_activity_id');
	$activities = Hash::combine($basket['GiftVoucherPurchaseItem'], '{n}.GiftVoucher.VoucherActivity.id', '{n}.GiftVoucher.VoucherActivity');
	$edit = !empty($edit);
?>
<div class="row">
	<div class="col-xs-12">
		<div class="outline--septenary outline--thin background--white padding-gutters-1_2 basket">

			<?php foreach ($items as $activityId => $activityItems): ?>

				<h3><?php echo __('%s Gift Vouchers', $this->I18n->translate($activities[$activityId], 'name')); ?></h3>

				<?php foreach ($activityItems as $key => $item): ?>

					<div class="listing listing--booking">
						<div class="row">
							<div class="col-xs-12 col-sm-<?php echo $edit === true ? 5 : 6; ?> xs-extra-gutters-1--left sm-plus-extra-gutters-2--left">
								<h3><?php echo $this->I18n->translate($item, 'GiftVoucher.name'); ?></h3>
							</div>

							<div class="col-xs-3 col-sm-2 xs-text-left xs-extra-gutters-1--left text-right fa--senary">
								<?php for ($i = 0; $i < $item['GiftVoucher']['participants']; $i++): ?>
									<i class="fa fa-user"></i>
								<?php endfor; ?>
								<strong><?php echo $item['GiftVoucher']['participants']; ?></strong>
							</div>

							<div class="col-xs-3 col-sm-2 gutterless text-center">
								<?php if ($edit === true): ?>
									<?php
										echo $this->Form->input(
											'GiftVoucherPurchaseItem.' . $key . '.id',
											['value' => $item['id']]
										);
										echo $this->Form->input(
											'GiftVoucherPurchaseItem.' . $key . '.quantity',
											[
												'div' => 'input input--quantity input--auto-submit',
												'label' => __('Quantity:') . '&nbsp;',
												'type' => 'number',
												'value' => $item['quantity']
											]
										);
									?>
								<?php else: ?>
									<strong><?php echo __('Quantity:') . ' ' . $item['quantity']; ?></strong>
								<?php endif; ?>
							</div>
							<div class="col-xs-4 col-sm-2">
								<strong><?php echo __('Price:'); ?></strong>
								<span class="large"><?php echo $this->Number->price($item['item_unit_cost']) ?></span>
							</div>
							<?php if ($edit === true): ?>
								<div class="col-xs-1 col-sm-1 xs-gutterless--left sm-plus-extra-gutters-2--right text-right">
									<?php echo $this->Fa->link('times-circle', null, ['action' => 'remove', $item['id']], ['class' => 'basket__delete', 'title' => __('Remove')]); ?>
								</div>
							<?php endif; ?>

						</div>
						<?php if (!empty($item['GiftVoucherPurchaseItemVoucher'])): ?>
							<?php foreach ($item['GiftVoucherPurchaseItemVoucher'] as $voucher): ?>
								<div class="row">
									<div class="col-xs-12 col-sm-12 xs-extra-gutters-1 sm-plus-extra-gutters-2">
										<?php
											$code = $this->Html->link(
												$voucher['code'],
												array(
													'controller' => 'gift_voucher_purchase_item_vouchers',
													'action' => 'evoucher',
													$voucher['id'],
													$basket['GiftVoucherPurchase']['id'],
													$voucher['code']
												)
											);
											echo __d('BuzzVouchers', 'Voucher Code: %s', [$code]);
										?>
										(<?php echo __d('BuzzVouchers', 'expiry date: %s', [$voucher['expiry_date']]); ?>)
									</div>
								</div>
							<?php endforeach; ?>
						<?php endif; ?>
					</div>

				<?php endforeach; ?>

			<?php endforeach; ?>

			<?php if (!empty($basket['GiftVoucherDeliveryOption']['id'])): ?>

				<div class="listing listing--booking">
					<div class="row">
						<div class="col-xs-12 col-sm-<?php echo $edit === true ? 5 : 6; ?> xs-extra-gutters-1--left sm-plus-extra-gutters-2--left">
							<h3><?php echo $this->I18n->translate($basket, 'GiftVoucherDeliveryOption.name'); ?></h3>
						</div>

						<div class="col-xs-3 col-sm-2 xs-text-left xs-extra-gutters-1--left text-right fa--senary">
						</div>

						<div class="col-xs-3 col-sm-2 gutterless text-center">
						</div>
						<div class="col-xs-4 col-sm-2">
							<strong><?php echo __('Price:'); ?></strong>
							<span class="large"><?php echo $this->Number->price($basket['GiftVoucherPurchase']['delivery_cost']) ?></span>
						</div>
						<?php if ($edit === true): ?>
							<div class="col-xs-1 col-sm-1 xs-gutterless--left sm-plus-extra-gutters-2--right text-right">
								<?php echo $this->Fa->link('pencil', null, ['action' => 'delivery'], ['class' => 'basket__delete', 'title' => __('Edit')]); ?>
							</div>
						<?php endif; ?>

					</div>
				</div>

			<?php endif; ?>

			<div class="row">
				<div class="col-xs-12 col-sm-<?php echo $edit === true ? 3 : 2; ?> col-sm-push-<?php echo $edit === true ? 9 : 10; ?> basket__total">
					<strong><?php echo __('Total:'); ?> <span class="large"><?php echo $this->Number->price($basket['GiftVoucherPurchase']['total_cost']); ?></span></strong>
				</div>
			</div>
		</div>

		<div class="content__spacer"></div>
	</div>
</div>
